<?
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Сейчас на сайте'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

$sort='id';
$por='DESC';

if (isset($_GET['ASC']))$por='ASC'; 
if (isset($_GET['DESC']))$por='DESC'; 

switch (@$_GET['sort']) {
	case 'balls':$sql_sort='`user`.`balls`';$sort='balls'; 
 	break;
	case 'online':$sql_sort='`user`.`online`';$sort='online'; 
 	break;
	case 'reiting':$sql_sort='`user`.`reiting`';$sort='reiting'; 
 	break;
}
echo "<div class='linegreen1'>Вывод:\n";
echo "<a href='?sort=online&amp;DESC&amp;page=$page'>онлайн</a> |\n";
echo "<a href='?sort=balls&amp;DESC&amp;page=$page'>монет</a> |\n";
echo "<a href='?sort=reiting&amp;DESC&amp;page=$page'>рейтинга</a>\n";
echo "</div>\n";

$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-900)."'"), 0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT `id` FROM `user` WHERE `date_last` > '".(time()-900)."' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='komm'>\n";
echo "Сейчас на сайте никого нет\n";
echo "  </td>\n";
echo "   </tr>\n";
}
while ($ank = mysql_fetch_assoc($q))
{

$ank=get_user($ank['id']);

echo "   <tr>\n";

if($num==1){
echo "  <td class='linechat'>\n";
$num=0;
}else{
echo "  <td class='linechat'>\n";
$num=1;}
onfoto($ank['id']);
echo "".online($ank['id'])."\n";
echo "<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";
if ($sort=='reiting')
echo " <img src='/style/img/reiting.gif' alt='' class='icon'/> <font color='#4d4c4c'> $ank[reiting]</font>\n";
if ($sort=='balls')
echo " <img src='/style/img/coins.gif' alt='' class='icon'/> <font color='#4d4c4c'> $ank[balls]</font>\n";
echo "<br/>\n";
if ($ank['stran']==0)echo "\n";
if ($ank['stran']==1)echo "<img src='/style/strana/ru.png'>\n";
if ($ank['stran']==2)echo "<img src='/style/strana/ua.png'>\n";
if ($ank['stran']==3)echo "<img src='/style/strana/by.png'>\n";
if ($ank['stran']==4)echo "<img src='/style/strana/az.png'>\n";
if ($ank['stran']==5)echo "<img src='/style/strana/kz.png'>\n";
if ($ank['stran']==6)echo "<img src='/style/strana/uz.png'>\n";
if ($ank['stran']==7)echo "<img src='/style/strana/england.png'>\n";
if ($ank['stran']==8)echo "<img src='/style/strana/de.png'>\n";
if ($ank['ank_city']!=NULL)echo " $ank[ank_city]\n";
if (isset($user) && $user['id']!=$ank['id']) if ($ank['ank_d_r'].$ank['ank_m_r']==date("jm")) echo "<br/><img src='/style/img/gft.png' alt='' class='icon'/> <a href='/present/present.php?user=$ank[id]'><font color='#555151'><u>Сделать подарок</u></font></a>";

echo "  <td>\n";
echo "  <td class='fs1'>\n";
if (isset($user) && $user['id']!=$ank['id'])echo '<a href="/mail.php?id='.$ank['id'].'"><img src="/style/img/msg.png"></img></a>';
if (isset($user) && $user['id']==$ank['id'])
{
echo "<img src='/style/vy.png'>\n";
}
echo "  </td>\n";
echo "   </tr>\n";
}
echo "</table>\n";

if ($k_page>1)str("online.php?sort=$sort&amp;$por&amp;",$k_page,$page); // Вывод страниц

$people = mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` >".(time()-900).""), 0);
$gosti= mysql_result(mysql_query("SELECT COUNT(*) FROM `guests` WHERE `date_last` > ".(time()-900)." AND `pereh` > '0'"), 0);

echo "<div class='royal'>";
echo "<img src='/style/img/frend.png' alt='' class='icon'/>\n";
echo "Сейчас в сети $people <a href='/online_g.php'>(+ $gosti гостей)</a>\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
?>